<?php 
namespace Concrete\Package\C5dkTwentytwentyImage;

use Package;
use BlockType;
use Loader;

defined('C5_EXECUTE') or die("Access Denied.");

class Controller extends Package {
	
	protected $pkgHandle = 'c5dk_twentytwenty_image';
	protected $appVersionRequired = '5.7.3.1';
	protected $pkgVersion = '1.0.1';
	
	public function getPackageName() { return t("C5DK TwentyTwenty Image"); }
	public function getPackageDescription() { return t("Adds a before and after images with slide control."); }
	
	public function install() {
		$pkg = parent::install();
		BlockType::installBlockTypeFromPackage('c5dk_twentytwenty_image', $pkg);
	}

	public function uninstall(){
		parent::uninstall();

		// Delete database tables to clean up after us
		$db = Loader::db();
		$db->Execute("DROP TABLE IF EXISTS btC5dkTwentytwentyImage");
	}
}